# $Revision: 1.40 $, $Date: 2012/06/25 17:17:52 $
Summary:	X.org video driver for AMD Geode integrated graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla zintegrowanych układów graficznych AMD Geode
Name:		xorg-driver-video-geode
Version:	2.11.13
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-geode-%{version}.tar.bz2
# Source0-md5:	0c5a3cac3531aec0eae7f5f6b3212eb4
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.4
BuildRequires:	xorg-xserver-server-devel >= 1.3.0.0
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.3.0.0
Provides:	xorg-driver-video
Obsoletes:	xorg-driver-video-amd < 2.8.0
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for AMD Geode GX (GX2) and LX (GX3) integrated
graphics chipsets.

Note: currently this driver doesn't support Geode GX1 chips by Cyrix
  and NSC.
- NSC Geode (GX2/SCx200/SC1400) chips are supported by
  xorg-driver-video-nsc driver,
- Cyrix Geode MediaGX (GX1) chips are supported by
  xorg-driver-video-cyrix driver.

%description -l pl.UTF-8
Sterownik obrazu X.org dla zintegrowanych układów graficznych AMD
Geode GX (GX2) i LX (GX3).

Uwaga: aktualnie ten sterownik nie obsługuje układów Geode GX1
produkowanych przez firmy Cyrix i NSC. Układy:
- NSC Geode (GX2/SCx200/SC1400) są obsługiwane przez sterownik
  xorg-driver-video-nsc,
- Cyrix Geode MediaGX (GX1) są obsługiwane przez sterownik
  xorg-driver-video-cyrix.

%prep
%setup -q -n xf86-video-geode-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/geode_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/ztv_drv.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-geode.spec,v $
Revision 1.40  2012/06/25 17:17:52  baggins
- release 2

Revision 1.39  2011/12/29 15:58:26  qboosh
- updated to 2.11.13

Revision 1.38  2011/08/27 09:01:44  arekm
- release 3

Revision 1.37  2011/08/25 20:18:25  glen
- xorg-driver-video virtual for video drivers
- release 2

Revision 1.36  2011/02/21 16:51:18  qboosh
- updated to 2.11.12

Revision 1.35  2010/12/30 18:25:07  qboosh
- updated to 2.11.11

Revision 1.34  2010/11/10 21:30:55  qboosh
- updated to 2.11.10

Revision 1.33  2010/08/29 09:36:02  qboosh
- added NEWS to docs
- updated deps
- added hardware notes to descs

Revision 1.32  2010/08/23 06:04:37  arekm
- up to 2.11.9

Revision 1.31  2010/08/21 07:52:15  arekm
- up to 2.11.8

Revision 1.30  2010/08/21 07:27:33  arekm
- release 4

Revision 1.29  2010/04/02 08:29:46  arekm
- release 3

Revision 1.28  2009/10/02 08:27:50  arekm
- release 2

Revision 1.27  2009/10/02 06:43:29  arekm
- up to 2.11.6

Revision 1.26  2009/09/20 06:09:12  arekm
- up to 2.11.4.1

Revision 1.25  2009/08/20 06:43:05  amateja
- updated to 2.11.3

Revision 1.24  2009/06/17 12:53:29  amateja
- updated to 2.11.2

Revision 1.23  2009/02/25 21:04:59  arekm
- release 2

Revision 1.22  2009/02/16 21:09:38  arekm
- up to 2.11.1

Revision 1.21  2008/12/26 11:52:25  adamg
- fixed previous commit msg

Revision 1.20  2008/12/26 01:52:48  adamg
- updated to 2.11.0

Revision 1.19  2008/08/30 16:33:19  arekm
- release 2

Revision 1.18  2008/08/26 05:56:49  qboosh
- updated to 2.10.1

Revision 1.17  2008/07/01 16:07:40  arekm
- release 2

Revision 1.16  2008/06/17 15:14:50  arekm
- up to 2.10.0

Revision 1.15  2008-05-10 08:40:02  qboosh
- updated to 2.9.0

Revision 1.14  2008-04-06 08:19:39  arekm
- bz2 tarball fixed

Revision 1.13  2008-04-05 18:58:36  qboosh
- Obsoletes -amd not -ati

Revision 1.12  2008-04-02 09:35:47  arekm
- gzipped tarball is fine (bzip2 is corrupted); switch to gz

Revision 1.11  2008-04-02 09:33:15  arekm
- geode driver; broken driver. Obsoletes xorg-driver-video-amd.spec.

Revision 1.10  2008-01-26 17:31:04  arekm
- up to 2.7.7.6

Revision 1.9  2008-01-14 07:03:27  arekm
- up to 2.7.7.5

Revision 1.8  2008-01-06 18:50:06  arekm
- up to 2.7.7.4

Revision 1.7  2007/10/15 20:54:48  arekm
- up to 2.7.7.3

Revision 1.6  2007/09/17 17:53:38  qboosh
- updated to 2.7.7.2

Revision 1.5  2007/09/12 18:27:30  qboosh
- updated to 2.7.7.1

Revision 1.4  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.3  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.2  2007/09/02 17:28:22  qboosh
- less BRs

Revision 1.1  2007/09/02 13:22:05  arekm
- initial
